2017-12-13 08:24 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000302Cheat Enginepublic2014-02-13 04:01
ReporterCsimbi 
Assigned ToDark Byte 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000302: CE 6.3 - Trace does not include the first instruction on break
DescriptionI set a "break and trace", at address 'X'.
I set the break condition for EBX == 0xE5 for the trace.
It trace triggers just fine at 'X' with the right condition, but it seems that the first instruction (at 'X') is missing from the trace as a whole.

E.g.

...
conditional jump to instr. below
...
somecode
...
mov eax,[edi+3C] <= Break & trace here if EBX == 0xE5
mov eax,[eax+ebx*4] <= This is the first instruction in the trace.
mov [esp+10],eax
...

It's important that the first instruction is captured because sometimes the original register contents are destroyed (mov eax,[eax+n], etc.).

Thank you for fixing.
Additional InformationThis is the x64 from "pure rev.2229_32&64bit.7z" that was just posted in the unofficial build thread.

I did not try quite a few unofficial builds, but it was surely working in "Frankenstein_Base_1975_upto_2180_.7z" - not sure what has been changed since.
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0000305resolvedDark Byte CE 6.3 - Trace does not trace into calls 
+Relationships

-Notes

~0000627

Csimbi (reporter)

Last edited: 2013-11-20 22:57

I'd seem that the instruction's data is captured, but there's no entry created for it in the tree - and hence all instructions are shifted by 1 (vs. the registers states and jump index).

I.e.
mov eax,[edi+40] => first instruction (not added on break)
cmp ebx,eax => first instruction in trace, showing the state from mov eax,[edi+40] (and double-clicking this instruction in the trace jumps to mov eax,[edi+40] in the code).

Edit: now it's two instructions away. One of those things that make you go "Hmmm..."

~0000653

Dark Byte (developer)

fixed in the svn (a while ago)
+Notes

-Issue History
Date Modified Username Field Change
2013-11-20 04:03 Csimbi New Issue
2013-11-20 04:42 Csimbi Note Added: 0000627
2013-11-20 22:57 Csimbi Note Edited: 0000627
2014-02-13 04:01 Dark Byte Note Added: 0000653
2014-02-13 04:01 Dark Byte Status new => resolved
2014-02-13 04:01 Dark Byte Resolution open => fixed
2014-02-13 04:01 Dark Byte Assigned To => Dark Byte
2014-02-13 04:01 Dark Byte Relationship added has duplicate 0000305
+Issue History